#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_AbysmFishingKingCFGData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class M_AbysmFishingKingCFG
{
public:
private:
	static std::auto_ptr<M_AbysmFishingKingCFG> msSingleton;
public:
	int GetCount();
	const M_AbysmFishingKingCFGData* GetData(std::string Key);
	boost::unordered_map<std::string, M_AbysmFishingKingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_AbysmFishingKingCFG* GetSingleton();
private:
	boost::unordered_map<std::string, M_AbysmFishingKingCFGData> mMapData;
};
